Bug 575301 - memory leak / internal error when using unsupported size for a volume
memory leak / internal error when using unsupported size for a volume
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Broz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-19 18:48 EDT by Till Maas
Modified: 2013-02-28 23:09 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 09:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2010-03-19 18:48:09 EDT
Description of problem:
lvm2 shows an internal error and memory leak if I use an usupported size for a volume.

Version-Release number of selected component (if applicable):
lvm2-2.02.53-2.fc12.x86_64


How reproducible:
always

Steps to Reproduce:
 # lvcreate --size 1000202788864 --name foo /dev/volume_group
  
Actual results:
  Volume too large (931,51 PB) for extent size 4,00 MB. Upper limit is 16,00 PB.
  Internal error: Volume Group 2TB_space was not unlocked
  Device '/dev/dm-13' has been left open.
  Device '/dev/dm-13' has been left open.
  Device '/dev/dm-13' has been left open.
  Device '/dev/dm-13' has been left open.
  Device '/dev/dm-13' has been left open.
  You have a memory leak (not released memory pool):
   [0xe92c30]
  You have a memory leak (not released memory pool):
   [0xe92c30]


Expected results:
only this line:
  Volume too large (931,51 PB) for extent size 4,00 MB. Upper limit is 16,00 PB.

Additional info:
I forget the b suffix for size, so actually I wanted to create a 931,51 GB partition. The pv was created with this option: --dataalignment 2048s
Comment 1 Dave Wysochanski 2010-03-22 12:08:27 EDT
Fixed upstream by this commit:
commit 16d385ac6a3c96e40c2a0022ab83377cb116f7d9
Author: Milan Broz <mbroz@redhat.com>
Date:   Wed Nov 4 14:47:27 2009 +0000

    Fix lvcreate processing of %PVS argument.
    
    - fix missing unlocking of VG
    lvcreate -l 100%PVS -n lv1 vg_test
      Please specify physical volume(s) with %PVS
      Internal error: Volume Group vg_test was not unlocked
    
    - if no PVS specified, use all available
    
    Fix segfault if %PVS in lvresize without PVs list.

Note You need to log in before you can comment on or make changes to this bug.